# WindowsResourceSet

API Documentation: | `WindowsResourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A set of Windows Resource definition files.

A Windows Resource set contains a set of script files, together with an optional set of header files.

    plugins {
        id 'windows-resources'
    }

    model {
        components {
            main(NativeLibrarySpec) {
                sources {
                    rc {
                        source {
                            srcDirs "src/main/rc"
                            include "**/*.rc"
                        }
                        exportedHeaders {
                            srcDirs "src/main/include"
                        }
                    }
                }
            }
        }
    }

### Properties

Property | Description
`exportedHeaders` | Incubating The headers as a directory set.
`source` | Incubating The source files.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SourceDirectorySet` `exportedHeaders` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The headers as a directory set.

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.